Bug 1066401 - (CVE-2013-4535, CVE-2013-4536) CVE-2013-4535 CVE-2013-4536 qemu: virtio: insufficient validation of num_sg when mapping
CVE-2013-4535 CVE-2013-4536 qemu: virtio: insufficient validation of num_sg w...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095763 1095764 1095765 1095766 1096124 1102579 1102580 1110194 1110284 1110288 1133850
Blocks: 1036654 1110626 1133827
  Show dependency treegraph
 
Reported: 2014-02-18 05:23 EST by Petr Matousek
Modified: 2016-04-26 14:43 EDT (History)
44 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 05:23:34 EST
Both virtio-block and virtio-serial read, VirtQueueElements are read in as
buffers, and passed to virtqueue_map_sg(), where num_sg is taken from the
wire and can force writes to indicies beyond VIRTQUEUE_MAX_SIZE.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=36cf2a37132c7f01fa9adb5f95f5312b27742fd4
Comment 1 Petr Matousek 2014-02-18 06:39:42 EST
Statement:

This issue does affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does affect the versions of qemu-kvm package as shipped with
Red Hat Enterprise Linux 7.
Comment 4 Prasad J Pandit 2014-05-08 09:30:44 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095764]
Comment 6 Fedora Update System 2014-05-16 05:58:32 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2014-06-09 10:37:17 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html
Comment 9 Murray McAllister 2014-06-10 03:56:28 EDT
Acknowledgements:

The issues were discovered as part of the state loading code audit performed by Michael S. Tsirkin of Red Hat, Anthony Liguori and Michael Roth.
Comment 10 errata-xmlrpc 2014-06-10 16:19:18 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0744 https://rhn.redhat.com/errata/RHSA-2014-0744.html
Comment 11 errata-xmlrpc 2014-06-10 16:20:08 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0743 https://rhn.redhat.com/errata/RHSA-2014-0743.html
Comment 15 errata-xmlrpc 2014-07-23 12:16:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html
Comment 17 errata-xmlrpc 2014-07-24 11:39:16 EDT
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6
  OpenStack 3 for RHEL 6

Via RHSA-2014:0888 https://rhn.redhat.com/errata/RHSA-2014-0888.html
Comment 20 errata-xmlrpc 2014-09-22 00:01:44 EDT
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html

Note You need to log in before you can comment on or make changes to this bug.